﻿

@font-face {
    font-family: "ProximaNovaThin";
    src: url("/Content/fonts/ProximaNovaThin.ttf");
}
@font-face {
    font-family: "Ubuntu";
    src: url("/Content/fonts/Ubuntu-Medium.ttf");
}
.verticalAlign {
    vertical-align: middle !important;
}

.dx-command-edit {
vertical-align: middle !important;
}

.loginWrapper {

}


.loginForm {
    margin: 0 auto;
    border: 1px solid #E6000E;
    border-radius: 4px;
    padding: 15px;
    background-image: url("/Content/icons/nti-ip-splash-screen.png");
    min-height: 257px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 750px;
}

.migration {
    /*margin: 0 auto;
    border: 2px solid #E6000E;
    border-radius: 4px;
    padding: 15px;
    background-image: url("/Content/icons/nti-ip-splash-screen.png");*/
    min-height: 257px;
    /*background-position: center;
    background-repeat: no-repeat;
    background-size: cover;*/
    position: absolute;
    top: 32%;
    left: 42%;
    /*transform: translate(-50%, -50%);
    width: 750px;
    background: #282828;*/
    z-index: 1000;
}

.loginHeader {
    background: #282828;
    border-bottom: 3px solid #E6000E;
    padding: 20px;
}

.footer {
    text-align: center;
    position: fixed;
    bottom: -10px;
    margin: auto 0;
    width: 100%;
    z-index: -1;
}

    /*.footer h4 {
        font-family: "Ubuntu";
        padding: 5px;
        border-top: 1px solid #e5e5e5;
        width: 400px;
        margin: 0 auto;
    }*/

    .footer h4 {
        font-family: Ubuntu;
        font-weight: 500;
        font-style: normal;
        font-stretch: normal;
        font-optical-sizing: auto;
        text-align: center;
        line-height: initial;
        padding: 5px;
        /*border-top: 1px solid #e5e5e5;*/
        margin: 0 auto;
    }

.accessTable th {
    padding: 20px;
    text-align: center;
}

.checkBoxCell {
    padding: 10px;
    align-items: center;
    text-align: center;
}

.groupNameCell {
    padding-left: 20px;
}

.accessTable tr:nth-child(odd) {
    background-color: #ffffff;
}

.accessTable tr:nth-child(even) {
    background-color: #f7f7f7;
}

.GlobalSettingsTitle {
    padding: 20px;
    font-size: 14pt;
}

.GlobalSettingsSmallTextBox {
    width: 140px;
    padding: 30px;
    padding-left: 20px;
    padding-top: 10px;
}

.GlobalSettingsBigTextBox {
    width: 400px;
    padding: 30px;
    padding-left: 20px;
    padding-top: 10px;
}

.SaveGlobalSettingsButtonWrapper {
    margin-left: 20px;
}

.propertyMappingTable th {
    padding: 20px;
    font-size: 14pt;
    color: #aaaaaa;
    text-align: left;
    padding-left: 0;
}

.propertyMappingTable tr:nth-child(odd) {
    background-color: #ffffff;
}

.propertyMappingTable tr:nth-child(even) {
    background-color: #f7f7f7;
}

.propertyMappingTargetCell {
    width: 200px;
    text-align: left;
    color: black;
    font-size: 12pt;
    padding-left: 20px;
}

.propertyMappingSourceCell {
    width: 200px;
    padding: 10px;
}

.propertyConverterTable {
    padding: 20px;
    font-size: 14pt;
    width: 100%;
    color: #aaaaaa;
    text-align: left;
    margin-bottom: 20px;
}

.propertyConverterTable th {
    padding: 5px;
}

.propertyConverterTable td {
    padding: 5px;
    font-size: 10pt;
    color: #777777;
}

#CreateNameTextBox{
    width: 160px;
    display: inline-block;
    margin-right: 20px;
}

#CreateTypeSelectBox {
    width: 160px;
    display: inline-block;
}

#ConfirmCreateButton{
    margin: 0;
    margin-top: 10px;
}

#scriptTextArea {
    margin-bottom: 100px;
}

#testScriptButton {
    margin-bottom: 24px;
}

#patternTextArea {
    white-space: pre-line;
}

.articlePreparationTable {
    width: 1000px;
    border-bottom: solid;
    border-color: #eeeeee;
}

.articlePreparationTable tr:nth-child(odd) {
    background-color: #f7f7f7;
}

.articlePreparationTable tr:nth-child(even) {
    background-color: #ffffff;
}

.articlePreparationTable th {
    background-color: #eeeeee;
    padding: 10px;
    font-weight: bold;
}

.articlePreparationTable td {
    padding: 10px;
    border-right: solid;
    border-color: #eeeeee;
    color: #333;
}

.transactions table td {
    padding: 2px;
    text-align: center;
}

.transactions table th {
    padding: 2px;
    text-align: center;
    white-space: nowrap;
    border-bottom: 2px solid #999;
}

.transactions table tr:nth-child(even) {
    background: #E5E5E5;
}

.transactions table tr:nth-child(odd) {
    background: #FFF;
}